Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.edm.control
Class QwsController

    java.lang.Object
      com.sun.mdm.index.edm.control.QwsController

public class QwsController
extends java.lang.Object

The QWS controller

Method Summary
`static MasterController` | `getMasterController()`
`static ReportGenerator` | `getReportGenerator()`
`static UserCodeLookup` | `getUserCodeLookup()`
`static CodeLookup` | `getValidationService()`
`static void` | `init()`
`static UserProfile` | `signOn(java.lang.String userId, HttpServletRequest request)` to check the user login is valid or not based on the userid and the request handle.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getMasterController

    public static MasterController getMasterController()

  Returns:
    the master controller

### getReportGenerator

    public static ReportGenerator getReportGenerator()

  Returns:
    the report generator engine

### getUserCodeLookup

    public static UserCodeLookup getUserCodeLookup()

  Returns:
    the user code lookup engine

### getValidationService

    public static CodeLookup getValidationService()

  Returns:
    the code lookup engine

### init

    public static void init()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### signOn

    public static UserProfile signOn(java.lang.String userId,
                                     HttpServletRequest request)
                              throws java.lang.Exception

  to check the user login is valid or not based on the userid and the request handle.

  Parameters:
    `userId` - userid
    `request` - the request handle
  Returns:
    a user profile
  Throws:
    `java.lang.Exception` - if signOn fails.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.